/*
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/TransactionAcknowledgement.java-arc   1.1   Mar 21 2005 08:43:22   adij  $ 
 * $Revision:   1.1  $ 
 * $Date:   Mar 21 2005 08:43:22  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved. 
 * NEMMCO CONFIDENTIAL.
 */

package com.capgemini.nemmco.b2bb;

import com.capgemini.nemmco.b2bb.enums.XMLObjectType;

/**
 * Defines a header element.
 *
 * @author $Author:   adij  $
 * @version $Revision:   1.1  $ $Date:   Mar 21 2005 08:43:22  $
 */
public class TransactionAcknowledgement extends Acknowledgement {
  public static final String INIT_TRANS_ID = "initiatingTransactionID";

  private String initiatingTransactionID = "";

  /**
   * Default Constructor
   */
  public TransactionAcknowledgement() {
    super(XMLObjectType.TRANS_ACK);
  }
  
  /**
   * @return Returns the initiatingTransactionID.
   */
  public String getInitiatingTransactionID() {
    return initiatingTransactionID;
  }
  
  /**
   * @param initiatingTransactionID The initiatingTransactionID to set.
   */
  public void setInitiatingTransactionID(String initiatingTransactionID) {
    this.initiatingTransactionID = initiatingTransactionID;
  }
}

