package com.capgemini.nemmco.b2bb.enums;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

public class CustomerClassCode extends Enumeration implements Comparable<Object>, java.io.Serializable{

      public static final CustomerClassCode BUSINESS    = new CustomerClassCode("Business", "Business");
      public static final CustomerClassCode RESIDENTIAL    = new CustomerClassCode("Residential", "Residential");
      private static int count = 0;


   private static final CustomerClassCode[] CUSTOMER_CLASS_CODE_ARRAY = {
     BUSINESS
     ,RESIDENTIAL
   };

   public static final List<? extends Object> CUSTOMER_CLASS_CODES =
     Collections.unmodifiableList(Arrays.asList(CUSTOMER_CLASS_CODE_ARRAY));

   private CustomerClassCode(String code,
                  String description) {
     this.code = code;
     this.description = description;
     this.number = ++count;
   }

   public String toString() {
     return code + "-" + description;
   }
}
