/*
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/exceptions/UnableToLookupResourceException.java-arc   1.1   08 Apr 2005 14:27:04   RayanS  $
 * $Revision:   1.1  $
 * $Date:   08 Apr 2005 14:27:04  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 */

package com.capgemini.nemmco.b2bb.exceptions;

/**
 * The class <code>TransactionNotSetException.java</code> represents an exception used
 * in the B2B Browser Application
 *
 * @author $Author:   RayanS  $
 * @version $Revision:   1.1  $ $Date:   08 Apr 2005 14:27:04  $
 */
public class UnableToLookupResourceException extends Exception
{
  /**
   * Constructs a new exception without a detailed message
   * 
   */
  public UnableToLookupResourceException()
  {
	  super();
  }
  
  /**
   * Constructs a new exception with a detailed message
   *
   * @param  message a message describing the exception
   */
  public UnableToLookupResourceException(String message)
  {
	  super(message);
  }
}