/**
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/ValidationModule/src/com/capgemini/nemmco/b2bb/lookup/ParticipantUser.java-arc   1.1   08 Apr 2005 14:26:56   RayanS  $ 
 * $Revision:   1.1  $ 
 * $Date:   08 Apr 2005 14:26:56  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved. 
 * NEMMCO CONFIDENTIAL.
 * Date Changed  Changed By     Comments
 * ------------  ----------     --------
 * 14-Aug-2012   Bob Jones      7984 Java upgrade from 6 to 7.
 */

package com.capgemini.nemmco.b2bb.lookup;

import java.util.List;

import com.capgemini.nemmco.b2bb.exceptions.UnableToLookupResourceException;

/**
 * The lookup for participant username
 *
 * @author $Author:   RayanS  $
 * @version $Revision:   1.1  $ $Date:   08 Apr 2005 14:26:56  $
 */
public class ParticipantUser extends Lookup implements Comparable<Object>, java.io.Serializable {
  // Public constants
  private static int count = 0;

  private final String username;

  // Public static methods
  /**
   * The static classes are used to define and retrieve enumerations from the database. 
   * @param participantID 
   * @return 
   * @throws UnableToLookupResourceException 
   */
  public static List<Object> getList(String participantID) throws UnableToLookupResourceException {
    return null;
  }

  /**
   * Given participantID and participant user, it will return ParticipantUser object
   * @param participantUser 
   * @return 
   * @throws UnableToLookupResourceException 
   */
  public static ParticipantUser getParticipantUser(String participantID, String participantUser) throws UnableToLookupResourceException {
    return null;
  }

  /**
   * Given a participant id and participant user it will return true or false depending if the participant exists
   * @param participantID 
   * @param participantUser 
   * @return 
   * @throws UnableToLookupResourceException 
   */
  public static boolean contains(String participantID, String participantUser) throws UnableToLookupResourceException {
    return false;
  }
  
  private ParticipantUser(String username) {
    this.username = username;
    this.description = username;
    this.code = username;
    this.number = ++count;
  }

  public String toString() {
    return username;
  }
}