/*
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/validators/ContactName.java-arc   1.0   31 Mar 2005 10:48:40   MinhN  $
 * $Revision:   1.0  $
 * $Date:   31 Mar 2005 10:48:40  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 */

package com.capgemini.nemmco.b2bb.validators;

import com.capgemini.nemmco.b2bb.enums.XMLObjectType;

public class ContactName extends PersonName {

  public ContactName() {
    super(XMLObjectType.CONTACTNAME);
  }
  
  public ContactName(PersonName personName) {
    super(XMLObjectType.CONTACTNAME);
    this.setFamilyName(personName.getFamilyName());
    this.setGivenName(personName.getGivenName());
    this.setNameSuffix(personName.getNameSuffix());
    this.setNameTitle(personName.getNameTitle());
    this.setNameType(personName.getNameType());
    this.setEvents(personName.getEvents());
  }
  
}

