/**
 * Date Changed   Changed By        Comments
 * ------------   ----------        -----------
 * 15-Jun-2017    SP                SMP work pakg7b- new screens
 */
package com.capgemini.nemmco.b2bb;

import com.capgemini.nemmco.b2bb.enums.TransactionType;
import com.capgemini.nemmco.b2bb.utils.B2BDateTimeFormatter;

public class RemoteServiceRequest extends Transaction {

   public static final String REQUEST_ID ="requestId";
   public static final String METER_SERIAL_NUMBER1 ="meterSerialNumber1";
   public static final String METER_SERIAL_NUMBER2 ="meterSerialNumber2";
   public static final String METER_SERIAL_NUMBER3 ="meterSerialNumber3";
   public static final String SERVICE_TYPE ="serviceType";
   public static final String REQUEST_CODE ="requestCode";
   public static final String FROM_DATETIME ="fromDateTime";
   public static final String TO_DATETIME ="toDateTime";
   public static final String USER_DEF1 ="userDef1";
   public static final String  USER_DEF2 ="userDef2";
   public static final String USER_DEF3="userDef3";
   public static final String  USER_DEF4 ="userDef4";
   public static final String  USER_DEF5 ="userDef5";
   public static final String  USER_DEF6 ="userDef6";
   public static final String  USER_DEF7 ="userDef7";
   public static final String  USER_DEF8 ="userDef8";
   public static final String  USER_DEF9 ="userDef9";
   public static final String  USER_DEF10 ="userDef10";
   public static final String DISPLAY_FROM_DATE ="From Date";
   public static final String DISPLAY_FROM_TIME ="From Time";
   public static final String DISPLAY_TO_DATE ="To Date";
   public static final String DISPLAY_TO_TIME ="To Time";
   public static final String RESPONSE_FORMAT ="responseFormat";


   private String requestId ="";
   private String meterSerialNumber1 ="";
   private String meterSerialNumber2 ="";
   private String meterSerialNumber3 ="";
   private String serviceType ="";
   private String requestCode ="";
   private String userDef1 ="";
   private String userDef2 ="";
   private String userDef3 ="";
   private String userDef4 ="";
   private String userDef5 ="";
   private String userDef6 ="";
   private String userDef7 ="";
   private String userDef8 ="";
   private String userDef9 ="";
   private String userDef10 ="";
   private String fromDateTime ="";
   private boolean fromDateTimeSet= false;
   private String fromDateDisplay="";
   private String fromTimeDisplay="";
   private String toDateTime ="";
   private boolean toDateTimeSet= false;
   private String toDateDisplay="";
   private String toTimeDisplay="";
   private String responseFormat ="";





   public RemoteServiceRequest() {
      super(TransactionType.REMOTE_SERVICE_REQ);
   }

   public void setRequestId(String requestId) {
      this.requestId = requestId;
   }

   public String getRequestId() {
      return requestId;
   }

   public void setMeterSerialNumber1(String meterSerialNumber1) {
      this.meterSerialNumber1 = meterSerialNumber1;
   }

   public String getMeterSerialNumber1() {
      return meterSerialNumber1;
   }

   public void setMeterSerialNumber2(String meterSerialNumber2) {
      this.meterSerialNumber2 = meterSerialNumber2;
   }

   public String getMeterSerialNumber2() {
      return meterSerialNumber2;
   }

   public void setMeterSerialNumber3(String meterSerialNumber3) {
      this.meterSerialNumber3 = meterSerialNumber3;
   }

   public String getMeterSerialNumber3() {
      return meterSerialNumber3;
   }

   public void setServiceType(String serviceType) {
      this.serviceType = serviceType;
   }

   public String getServiceType() {
      return serviceType;
   }

   public void setRequestCode(String requestCode) {
      this.requestCode = requestCode;
   }

   public String getRequestCode() {
      return requestCode;
   }


   public void setFromDateTime(String fromDateTime) {
      this.fromDateTimeSet=true;
      this.fromDateTime = fromDateTime;
      try{
         B2BDateTimeFormatter df = new B2BDateTimeFormatter(fromDateTime,B2BDateTimeFormatter.XMLDATE);
         this.fromDateDisplay=df.getB2BDate();
         this.fromTimeDisplay = df.getB2BTime();

      }catch(Exception e){
         this.fromDateDisplay="";
         this.fromTimeDisplay ="";
      }
   }

   public String getFromDateTime() {
         
       if (fromDateTime == null || fromDateTime.equals("")) {
         try {
           B2BDateTimeFormatter df = new B2BDateTimeFormatter(getFromDateTimeDisplay(), B2BDateTimeFormatter.B2BDATE);
           this.fromDateTime = df.getXMLFormattedDateTime();
         } catch (Exception e) {
           this.fromDateTime = "";
         }
      }
      return fromDateTime;
   }

   public void setToDateTime(String toDateTime) {
      this.toDateTimeSet=true;
      this.toDateTime = toDateTime;
      try{
         B2BDateTimeFormatter df = new B2BDateTimeFormatter(toDateTime,B2BDateTimeFormatter.XMLDATE);
         this.toDateDisplay=df.getB2BDate();
         this.toTimeDisplay = df.getB2BTime();

      }catch(Exception e){
         this.toDateDisplay="";
         this.toTimeDisplay ="";
      }
   }

   public String getToDateTime() {
       if (toDateTime == null || toDateTime.equals("")) {
         try {
           B2BDateTimeFormatter df = new B2BDateTimeFormatter(getToDateTimeDisplay(), B2BDateTimeFormatter.B2BDATE);
           this.toDateTime = df.getXMLFormattedDateTime();
         } catch (Exception e) {
           this.toDateTime = "";
         }
      }
      return toDateTime;
   }

   public void setUserDef1(String userDef1) {
      this.userDef1 = userDef1;
   }

   public String getUserDef1() {
      return userDef1;
   }

   public void setUserDef2(String userDef2) {
      this.userDef2 = userDef2;
   }

   public String getUserDef2() {
      return userDef2;
   }

   public void setUserDef3(String userDef3) {
      this.userDef3 = userDef3;
   }

   public String getUserDef3() {
      return userDef3;
   }

   public void setUserDef4(String userDef4) {
      this.userDef4 = userDef4;
   }

   public String getUserDef4() {
      return userDef4;
   }

   public void setUserDef5(String userDef5) {
      this.userDef5 = userDef5;
   }

   public String getUserDef5() {
      return userDef5;
   }

   public void setUserDef6(String userDef6) {
      this.userDef6 = userDef6;
   }

   public String getUserDef6() {
      return userDef6;
   }

   public void setUserDef7(String userDef7) {
      this.userDef7 = userDef7;
   }

   public String getUserDef7() {
      return userDef7;
   }

   public void setUserDef8(String userDef8) {
      this.userDef8 = userDef8;
   }

   public String getUserDef8() {
      return userDef8;
   }

   public void setUserDef9(String userDef9) {
      this.userDef9 = userDef9;
   }

   public String getUserDef9() {
      return userDef9;
   }

   public void setUserDef10(String userDef10) {
      this.userDef10 = userDef10;
   }

   public String getUserDef10() {
      return userDef10;
   }



   public void setFromDateDisplay(String fromDateDisplay) {
      this.fromDateTimeSet=false;
      this.fromDateDisplay = fromDateDisplay;
   }

   public String getFromDateDisplay() {
      return fromDateDisplay;
   }

   public void setFromTimeDisplay(String fromTimeDisplay) {
      this.fromDateTimeSet=false;
      this.fromTimeDisplay = fromTimeDisplay;
   }

   public String getFromTimeDisplay() {
      return fromTimeDisplay;
   }



   public void setToDateDisplay(String toDateDisplay) {
      this.toDateTimeSet =false;
      this.toDateDisplay = toDateDisplay;
   }

   public String getToDateDisplay() {
      return toDateDisplay;
   }

   public void setToTimeDisplay(String toTimeDisplay) {
      this.toDateTimeSet =false;
      this.toTimeDisplay = toTimeDisplay;
   }

   public String getToTimeDisplay() {
      return toTimeDisplay;
   }

   public String getFromDateTimeDisplay(){
      return getFromDateDisplay()+" "+ getFromTimeDisplay();
   }

   public String getToDateTimeDisplay(){
      return getToDateDisplay()+" "+ getToTimeDisplay();
   }

   public void setFromDateTimeSet(boolean fromDateTimeSet) {
      this.fromDateTimeSet = fromDateTimeSet;
   }

   public boolean isFromDateTimeSet() {
      return fromDateTimeSet;
   }

   public void setToDateTimeSet(boolean toDateTimeSet) {
      this.toDateTimeSet = toDateTimeSet;
   }

   public boolean isToDateTimeSet() {
      return toDateTimeSet;
   }

   public void setResponseFormat(String responseFormat) {
      this.responseFormat = responseFormat;
   }

   public String getResponseFormat() {
      return responseFormat;
   }
}
