/*
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/SORCancel.java-arc   1.0   26 Apr 2005 11:44:20   RayanS  $
 * $Revision:   1.0  $
 * $Date:   26 Apr 2005 11:44:20  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 */

package com.capgemini.nemmco.b2bb;

import com.capgemini.nemmco.b2bb.enums.ActionType;
import com.capgemini.nemmco.b2bb.enums.TransactionType;

/**
 * Defines all the fields for every type of Service Order Request (SOR). As SOR
 * messages all use common fields one parent class defining all these fields
 * is needed.
 *
 * @author $Author:   RayanS  $
 * @version $Revision:   1.0  $ $Date:   26 Apr 2005 11:44:20  $
 */
public class SORCancel extends ServiceOrderRequest {

  public SORCancel() {
    super(TransactionType.SOR_CANCEL);
    setActionType(ActionType.CANCEL.getDescription());
  }

}
