/**
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/enums/TrueFalse.java-arc   1.2   08 Apr 2005 14:23:44   RayanS  $
 * $Revision:   1.2  $
 * $Date:   08 Apr 2005 14:23:44  $
 * 
 * Copyright 2005 Capgemini Australia Pty. Ltd. 
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 * Date Changed   Changed By        Comments
 * ------------   ----------        -----------
 * 14-Aug-2012    Bob Jones         7984 Java upgrade from 6 to 7.
 */

package com.capgemini.nemmco.b2bb.enums;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

/**
 * Defines the Enumeration
 *
 * @author $Author:   RayanS  $
 * @version $Revision:   1.2  $ $Date:   08 Apr 2005 14:23:44  $
 */

public class TrueFalse extends Enumeration 
                        implements Comparable<Object>, java.io.Serializable {
	// Public constants
  private static int count = 0;
  
    /**
		  * The following define the enumerations.
		  */
    public static final TrueFalse TRUE  = new TrueFalse("true", "True");
    public static final TrueFalse FALSE = new TrueFalse("false", "False");

    private static final TrueFalse[] TRUEFALSE_TYPE_ARRAY =
      { TRUE,
        FALSE
      };

    public static final List<? extends Object> TRUEFALSE_CODES =
      Collections.unmodifiableList(Arrays.asList(TRUEFALSE_TYPE_ARRAY));

    private TrueFalse(String code, 
                   String description) {
      this.code = code;
      this.description = description;
      this.number = ++count;
    }


    public String toString() {
      return code + "-" + description;
    }

}

