/*
 * $Header:   //cardsrc1/pvcs/B2B_BROWSER/archives/src/com/capgemini/nemmco/b2bb/validators/PostalAddress.java-arc   1.0   31 Mar 2005 10:48:40   MinhN  $
 * $Revision:   1.0  $
 * $Date:   31 Mar 2005 10:48:40  $
 *
 * Copyright 2005 Capgemini Australia Pty. Ltd.
 * All rights reserved.
 * NEMMCO CONFIDENTIAL.
 */
 
package com.capgemini.nemmco.b2bb.validators;
import com.capgemini.nemmco.b2bb.enums.XMLObjectType;

public class PostalAddress extends Address 
{
  public PostalAddress()
  {
    super(XMLObjectType.POSTALADDRESS);
  }
  
  public PostalAddress(Address address) 
  {
    super(XMLObjectType.POSTALADDRESS);
    this.setBuildingOrPropertyName1(address.getBuildingOrPropertyName1());
    this.setBuildingOrPropertyName2(address.getBuildingOrPropertyName2());
    this.setFlatOrUnitNum(address.getFlatOrUnitNum());
    this.setFlatOrUnitType(address.getFlatOrUnitType());
    this.setFloorOrLevelNum(address.getFloorOrLevelNum());
    this.setFloorOrLevelType(address.getFlatOrUnitType());
    this.setHouseNum1(address.getHouseNum1());
    this.setHouseNum2(address.getHouseNum2());
    this.setHouseNumSuffix1(address.getHouseNumSuffix1());
    this.setHouseNumSuffix2(address.getHouseNumSuffix2());
    this.setLocality(address.getLocality());
    this.setLocationDescriptor(address.getLocationDescriptor());
    this.setLotNum(address.getLotNum());
    this.setPostalDeliveryNumPrefix(address.getPostalDeliveryNumPrefix());
    this.setPostalDeliveryNumSuffix(address.getPostalDeliveryNumSuffix());
    this.setPostalDeliveryNumValue(address.getPostalDeliveryNumValue());
    this.setPostalDeliveryType(address.getPostalDeliveryType());
    this.setPostcode(address.getPostcode());
    this.setSiteDPID(address.getSiteDPID());
    this.setState(address.getState());
    this.setStreetName1(address.getStreetName1());
    this.setStreetName2(address.getStreetName2());
    this.setStreetSuffix1(address.getStreetSuffix1());
    this.setStreetSuffix2(address.getStreetSuffix2());
    this.setStreetType1(address.getStreetType1());
    this.setStreetType2(address.getStreetType2());
    this.setUnstructuredAddress1(address.getUnstructuredAddress1());
    this.setUnstructuredAddress2(address.getUnstructuredAddress2());
    this.setUnstructuredAddress3(address.getUnstructuredAddress3());
    
    this.setEvents(address.getEvents());    
    this.setParentCategory(address.getParentCategory());    
    this.setParentField(address.getParentField());
  }
}